Debian Bug report logs - #732230
ITP: xmlstreambuffer - XML Stream Buffer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Timo Aaltonen <tjaalton@ubuntu.com>

Date: Sun, 15 Dec 2013 21:03:02 UTC

Owned by: Timo Aaltonen <tjaalton@ubuntu.com>

Severity: wishlist

Fixed in version xmlstreambuffer/1.5.1-1

Done: Timo Aaltonen <tjaalton@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#732230; Package wnpp. (Sun, 15 Dec 2013 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Aaltonen <tjaalton@ubuntu.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 15 Dec 2013 21:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@ubuntu.com>
To: submit@bugs.debian.org
Subject: ITP: xmlstreambuffer - XML Stream Buffer
Date: Sun, 15 Dec 2013 23:01:30 +0200
Package: wnpp
Severity: wishlist

Package name	: xmlstreambuffer
Version		: 1.5.1
Upstream Author	: Oracle
URL		: http://xmlstreambuffer.java.net/
License		: CDDL or GPL with classpath exception, Apache2.0
Programming Lang: Java
Description	: XML Stream Buffer
 A stream buffer is a stream-based representation of an XML
 info-set in Java. Stream buffers are designed to: provide
 very efficient stream-based memory representations of XML
 info-sets; and be created and processed using any Java-based
 XML API.
 .
 Conceptually a stream buffer is similar to the representation
 used in the Xerces deferred DOM implementation, with the crucial
 difference that a stream buffer does not store hierarchical
 information like parent and sibling information. The deferred
 DOM implementation reduces memory usage when large XML documents
 are parsed but only a subset of the document needs to be processed.
 (Note that using deferred DOM will be more expensive than
 non-deferred DOM in terms of memory and processing if all
 the document is traversed.)
 .
 Stream buffers may be used as an efficient alternative to DOM where:
 * most or all of an XML info-set will eventually get traversed; and/or
 * targeted access to certain parts of an XML info-set are required
   and need to be efficiently processed using stream-based APIs like
   SAX or StAX.



Owner recorded as Timo Aaltonen <tjaalton@ubuntu.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 16 Dec 2013 04:27:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'src:nginx'. Request was from Thomas Ward <teward@ubuntu.com> to control@bugs.debian.org. (Mon, 16 Dec 2013 23:39:18 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:nginx' to 'wnpp'. Request was from Thomas Ward <teward@trekweb.org> to control@bugs.debian.org. (Mon, 16 Dec 2013 23:45:04 GMT) Full text and rfc822 format available.

Reply sent to Timo Aaltonen <tjaalton@ubuntu.com>:
You have taken responsibility. (Tue, 04 Mar 2014 12:03:19 GMT) Full text and rfc822 format available.

Notification sent to Timo Aaltonen <tjaalton@ubuntu.com>:
Bug acknowledged by developer. (Tue, 04 Mar 2014 12:03:19 GMT) Full text and rfc822 format available.

Message #16 received at 732230-close@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@ubuntu.com>
To: 732230-close@bugs.debian.org
Subject: Bug#732230: fixed in xmlstreambuffer 1.5.1-1
Date: Tue, 04 Mar 2014 12:00:07 +0000
Source: xmlstreambuffer
Source-Version: 1.5.1-1

We believe that the bug you reported is fixed in the latest version of
xmlstreambuffer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 732230@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Timo Aaltonen <tjaalton@ubuntu.com> (supplier of updated xmlstreambuffer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 Feb 2014 12:23:25 +0100
Source: xmlstreambuffer
Binary: libstreambuffer-java
Architecture: source all
Version: 1.5.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Timo Aaltonen <tjaalton@ubuntu.com>
Description: 
 libstreambuffer-java - XML Stream Buffer
Closes: 732230
Changes: 
 xmlstreambuffer (1.5.1-1) unstable; urgency=medium
 .
   * Initial release (Closes: #732230)
Checksums-Sha1: 
 b23059a83c289b2dc78a91ac81b1f682ab521a10 2128 xmlstreambuffer_1.5.1-1.dsc
 017fc537c9452bdbd200046e901eaaca504b94d0 50069 xmlstreambuffer_1.5.1.orig.tar.gz
 a97115f67e282a39891911e1a27f04ab1f8cb5a3 9544 xmlstreambuffer_1.5.1-1.debian.tar.xz
 23777093b1434510a0924541fcb6f3eaab10dc30 68564 libstreambuffer-java_1.5.1-1_all.deb
Checksums-Sha256: 
 7bd3a73711bc239e87039ae7c1494a1c1b83208e06a35339bc686b3bfe0d0461 2128 xmlstreambuffer_1.5.1-1.dsc
 34872ce55a987c9dc882f4efb3bac00f05d0f37488abc0eb8d04cab34576258a 50069 xmlstreambuffer_1.5.1.orig.tar.gz
 6a292b0e61535450605687e0b7a6b9a42f0f7e677d31dcc79187400733d60333 9544 xmlstreambuffer_1.5.1-1.debian.tar.xz
 915dfc4e0bcf4dee7078ab8aab00900d236a73bab5eadf8864c3f93c90882530 68564 libstreambuffer-java_1.5.1-1_all.deb
Files: 
 106dcde5eb357d7811c00d2415c166c9 2128 java optional xmlstreambuffer_1.5.1-1.dsc
 1ad54990504d1bd65ef03b14c361991a 50069 java optional xmlstreambuffer_1.5.1.orig.tar.gz
 4ae0f4d62cd2064855648cfca81dd9ce 9544 java optional xmlstreambuffer_1.5.1-1.debian.tar.xz
 c34aae6a93b2010b51a5038953044d50 68564 java optional libstreambuffer-java_1.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJTDIDEAAoJEN2M1aXejH568LAP/RsAhSeCPNLB8OeTRvwgDaj2
SWkWiudnvMB51Eo3uC6ce+qj1JBAoBFhd1TF+J3ij5rxUAZPMyC4md68gA6h49S9
f+QpPPkOTiabIc9ssQg4BvIij7wVnxZgtZmaYIBQgWJOoMBs9Tgk0ZBZrpmab4sh
g2Zm4YWKUQghGUo2VMgx92+kUVEreEk9ZgHUE0E93WybfiCl3OcmpBu4ajdRa7e7
X8em3rgahXM0viHZZQwoThF0jdOhltAeOtcJff1/pVnXI06EAFu23t3YTAZGc8LO
FgkWs29wsy49PpP/7Owm8axQmGUEIjQTTfbSuCshEMFtQHOIlxZXjqWZDcfoiPaw
IHG7XT2b3Kb8wR3rkB8ZvKWdnGgtdjGbVjSO2o1gNF2JxWcajYH+1PZvOvar+qLG
UxK/KpjIYGvZGJcwAabRRhYsyo/CLoq3gOJsgtmLmLXZ8qRbjXqnS2GBjyK7NhYL
kTv/baQ3obUF1VYlOahNKeNj6bHKoKpKCDtJUZFnkoe9D4XFUqkmfmKuEjfXVTOM
NZKrusVDmv+iQTTyh1Vgo0zbsYI9A+9lNmS5/qX0OyZLpczuo47IsnXWn+75BVO8
+Q5hE5S2qNdLzboadmGEFuqj6ckK2fElYphMPaiYY6QAbRnmoGcOq4FCvHMZxU+C
jtsseVQcdCYwgmz7en7J
=OKpF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Apr 2014 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:45:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.